NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_socknread(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_socknread - Return bytes to be read

## Table Of Contents

## Synopsis

- ns_socknread sockId

## Description

This function returns the number of bytes waiting to be read from the specified sockId.

## COMMANDS

ns_socknread sockId

## EXAMPLES

## See Also

nsd

## Keywords

NaviServer, socket